import Component  from '../component.js'
import CoEuiIconColorPathNumber from './eui-icon-color-path-number.js'

export default class CoEuiIconColor extends Component {
  constructor(parent) {
    let selector = '*[self::eui-icon-colored  or self::span[@euiIconColored] or [@euiIconColored]]';
    super(parent, selector);
    //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components/atoms/eui-icon-color?at=support%2F13.x
  }
  get span() {
    return this.currentPath + '//span[contains(@class, "iconClass")]';
  }
  get euiIconColorPathNumberCO() {
    return new CoEuiIconColorPathNumber(this.span);
  }
}


